package com.liangjian.search.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * Created by huangziqi on 2020/1/3
 */
@TableName("QAProblem")
public class QAProblem {
    //这个字段不在数据库中，每次查的时候才弄上来
    @TableField(exist = false)
    protected Integer replyCount;

    //这个字段不在数据库中，每次查的时候才弄上来
    @TableField(exist = false)
    protected String replyerName;

    //这个字段不在数据库中，每次查的时候才弄上来
    @TableField(exist = false)
    protected Date lastReply;

    @TableField(exist = false)
    protected String content;

    //以下是数据库映射字段
    @TableId(type = IdType.AUTO)
    @TableField("Id")
    protected Long id;

    @TableField("Title")
    protected String title;

    @TableField("Describe")
    protected String describe;

    @TableField("CategoryCode")
    protected String categoryCode;

    @TableField("OriginType")
    protected Short originType;

    @TableField("State")
    protected Short state;

    @TableField("IsAnonymous")
    protected Boolean isAnonymous;

    @TableField("IsRecommend")
    protected Boolean isRecommend;

    @TableField("CreateTime")
    protected Date createTime;

    @TableField("DoctorId")
    protected Integer doctorId;

    @TableField("UserId")
    protected String userId;

    @TableField("UpdateTime")
    protected Date updateTime;

    @TableField("UpdateName")
    protected String updateName;

    @TableField("UpdateId")
    protected Integer updateId;

    @TableField("IsSolve")
    protected Boolean isSolve;

    @TableField("BrowseSum")
    protected Integer browseSum;

    @TableField("Age")
    protected Integer age;

    @TableField("Sex")
    protected String sex;

    @TableField("ReleaseTime")
    protected Date releaseTime;

    @TableField("QaId")
    protected String qaId;

    @TableField("MobilePhone")
    protected String MobilePhone;

    public Integer getReplyCount() {
        return replyCount;
    }

    public void setReplyCount(Integer replyCount) {
        this.replyCount = replyCount;
    }

    public String getReplyerName() {
        return replyerName;
    }

    public void setReplyerName(String replyerName) {
        this.replyerName = replyerName;
    }

    public Date getLastReply() {
        return lastReply;
    }

    public void setLastReply(Date lastReply) {
        this.lastReply = lastReply;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public Short getOriginType() {
        return originType;
    }

    public void setOriginType(Short originType) {
        this.originType = originType;
    }

    public Short getState() {
        return state;
    }

    public void setState(Short state) {
        this.state = state;
    }

    public Boolean getAnonymous() {
        return isAnonymous;
    }

    public void setAnonymous(Boolean anonymous) {
        isAnonymous = anonymous;
    }

    public Boolean getRecommend() {
        return isRecommend;
    }

    public void setRecommend(Boolean recommend) {
        isRecommend = recommend;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Integer getUpdateId() {
        return updateId;
    }

    public void setUpdateId(Integer updateId) {
        this.updateId = updateId;
    }

    public Boolean getSolve() {
        return isSolve;
    }

    public void setSolve(Boolean solve) {
        isSolve = solve;
    }

    public Integer getBrowseSum() {
        return browseSum;
    }

    public void setBrowseSum(Integer browseSum) {
        this.browseSum = browseSum;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getReleaseTime() {
        return releaseTime;
    }

    public void setReleaseTime(Date releaseTime) {
        this.releaseTime = releaseTime;
    }

    public String getQaId() {
        return qaId;
    }

    public void setQaId(String qaId) {
        this.qaId = qaId;
    }

    public String getMobilePhone() {
        return MobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        MobilePhone = mobilePhone;
    }
}
