package com.liangjian.search.es;

import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;
import org.springframework.data.elasticsearch.annotations.FieldType;

import java.util.Date;

/**
 * Created by huangziqi on 2020/1/3
 */
@Document(indexName = "qa_reply", type = "_doc", shards = 1, replicas = 0)
public class QAReplyEs {
    protected Long id;

    protected Long problemId;

    @Field(type = FieldType.Text, analyzer = "ik_max_word")
    protected String content;

    protected String ReplyerName;

    protected Short replyerType;

    protected String replyerId;

    protected Integer DoctorId;

    protected Integer level;

    protected Boolean isRecommend;

    protected Long parentId;

    protected Date createTime;

    protected Short checkState;

    protected Integer checkerId;

    protected String checkerName;

    protected Integer fabulousSum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProblemId() {
        return problemId;
    }

    public void setProblemId(Long problemId) {
        this.problemId = problemId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getReplyerName() {
        return ReplyerName;
    }

    public void setReplyerName(String replyerName) {
        ReplyerName = replyerName;
    }

    public Short getReplyerType() {
        return replyerType;
    }

    public void setReplyerType(Short replyerType) {
        this.replyerType = replyerType;
    }

    public String getReplyerId() {
        return replyerId;
    }

    public void setReplyerId(String replyerId) {
        this.replyerId = replyerId;
    }

    public Integer getDoctorId() {
        return DoctorId;
    }

    public void setDoctorId(Integer doctorId) {
        DoctorId = doctorId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Boolean getRecommend() {
        return isRecommend;
    }

    public void setRecommend(Boolean recommend) {
        isRecommend = recommend;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Short getCheckState() {
        return checkState;
    }

    public void setCheckState(Short checkState) {
        this.checkState = checkState;
    }

    public Integer getCheckerId() {
        return checkerId;
    }

    public void setCheckerId(Integer checkerId) {
        this.checkerId = checkerId;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public Integer getFabulousSum() {
        return fabulousSum;
    }

    public void setFabulousSum(Integer fabulousSum) {
        this.fabulousSum = fabulousSum;
    }
}
