package com.liangjian.search.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

/**
 * Created by huangziqi on 2020/1/3
 */
@TableName("QAReply")
public class QAReply {
    @TableId(type = IdType.AUTO)
    @TableField("Id")
    protected Long id;

    @TableField("ProblemId")
    protected Long problemId;

    @TableField("Content")
    protected String content;

    @TableField("ReplyerName")
    protected String ReplyerName;

    @TableField("ReplyerType")
    protected Short replyerType;

    @TableField("ReplyerId")
    protected String replyerId;

    @TableField("DoctorId")
    protected Integer DoctorId;

    @TableField("Level")
    protected Integer level;

    @TableField("IsRecommend")
    protected Boolean isRecommend;

    @TableField("ParentId")
    protected Long parentId;

    @TableField("CreateTime")
    protected Date createTime;

    @TableField("CheckState")
    protected Short checkState;

    @TableField("CheckerId")
    protected Integer checkerId;

    @TableField("CheckerName")
    protected String checkerName;

    @TableField("FabulousSum")
    protected Integer fabulousSum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProblemId() {
        return problemId;
    }

    public void setProblemId(Long problemId) {
        this.problemId = problemId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getReplyerName() {
        return ReplyerName;
    }

    public void setReplyerName(String replyerName) {
        ReplyerName = replyerName;
    }

    public Short getReplyerType() {
        return replyerType;
    }

    public void setReplyerType(Short replyerType) {
        this.replyerType = replyerType;
    }

    public String getReplyerId() {
        return replyerId;
    }

    public void setReplyerId(String replyerId) {
        this.replyerId = replyerId;
    }

    public Integer getDoctorId() {
        return DoctorId;
    }

    public void setDoctorId(Integer doctorId) {
        DoctorId = doctorId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Boolean getRecommend() {
        return isRecommend;
    }

    public void setRecommend(Boolean recommend) {
        isRecommend = recommend;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Short getCheckState() {
        return checkState;
    }

    public void setCheckState(Short checkState) {
        this.checkState = checkState;
    }

    public Integer getCheckerId() {
        return checkerId;
    }

    public void setCheckerId(Integer checkerId) {
        this.checkerId = checkerId;
    }

    public String getCheckerName() {
        return checkerName;
    }

    public void setCheckerName(String checkerName) {
        this.checkerName = checkerName;
    }

    public Integer getFabulousSum() {
        return fabulousSum;
    }

    public void setFabulousSum(Integer fabulousSum) {
        this.fabulousSum = fabulousSum;
    }
}
