package com.liangjian.search.kafka;

/**
 * Created by huangziqi on 2020/1/9
 */
public class QAProblemJob {
    private CrudType crudType;
    private Long id;

    public QAProblemJob() {
    }

    public QAProblemJob(CrudType crudType, Long id) {
        this.crudType = crudType;
        this.id = id;
    }

    public static QAProblemJob Create(Long id) {
        return new QAProblemJob(CrudType.Create,id);
    }

    public static QAProblemJob Update(Long id) {
        return new QAProblemJob(CrudType.Update,id);
    }

    public static QAProblemJob Delete(Long id) {
        return new QAProblemJob(CrudType.Delete,id);
    }

    public CrudType getCrudType() {
        return crudType;
    }

    public void setCrudType(CrudType crudType) {
        this.crudType = crudType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return "QAProblemJob{" +
                "crudType=" + crudType +
                ", id=" + id +
                '}';
    }
}
